Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile
Interface RecordInput

All Known Implementing Classes:
  ByteRecordInput, CharRecordInput, FixedLengthByteRecordInput, FixedLengthCharRecordInput

    public interface RecordInput

Method Summary
`RecordInput` | `concatenate(RecordInput lhs)`
`RecordInput` | `concatenate(RecordInput lhs, int beginIndex)`
`boolean` | `done()`
`java.nio.charset.Charset` | `getCharset()`
`int` | `getLast()`
`int` | `getPosition()`
`int` | `length()`
`int` | `readBytes(byte[] bytes)`
`void` | `readRepeatingGroup2(ServiceContext context, Flow flow, int count, FlatFileOptions flatFileOptions, DelimiterExtractor[] recordDelimiters, int recordDelimiterStart, int recordDelimiterCount, int maxRecordWidth, FlatRecordReader flatRecordReader, RecordReceiver recordReceiver)`
`RecordInput` | `readSegment(FlatFileOptions flatFileOptions)`
`RecordInput` | `readSegment(int segmentLength)`
`java.lang.String` | `readString(int length)`
`java.lang.String` | `readString(int maxLength, FlatFileOptions flatFileOptions)`
`java.lang.String[]` | `readStringArray(int maxLength, FlatFileOptions flatFileOptions)`
`void` | `setPosition(int index)`
`int` | `start()`
`byte[]` | `toByteArray()`
`char[]` | `toCharArray()`
`java.lang.String` | `toString()`
`void` | `wipe()`

Method Detail

### toByteArray

    byte[] toByteArray()

### toCharArray

    char[] toCharArray()

### done

    boolean done()

### readBytes

    int readBytes(byte[] bytes)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readString

    java.lang.String readString(int length)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readString

    java.lang.String readString(int maxLength,
                                FlatFileOptions flatFileOptions)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readStringArray

    java.lang.String[] readStringArray(int maxLength,
                                       FlatFileOptions flatFileOptions)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPosition

    int getPosition()

### getLast

    int getLast()

### setPosition

    void setPosition(int index)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getCharset

    java.nio.charset.Charset getCharset()

### wipe

    void wipe()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### readRepeatingGroup2

    void readRepeatingGroup2(ServiceContext context,
                             Flow flow,
                             int count,
                             FlatFileOptions flatFileOptions,
                             DelimiterExtractor[] recordDelimiters,
                             int recordDelimiterStart,
                             int recordDelimiterCount,
                             int maxRecordWidth,
                             FlatRecordReader flatRecordReader,
                             RecordReceiver recordReceiver)

### readSegment

    RecordInput readSegment(FlatFileOptions flatFileOptions)

### readSegment

    RecordInput readSegment(int segmentLength)

### concatenate

    RecordInput concatenate(RecordInput lhs)

### concatenate

    RecordInput concatenate(RecordInput lhs,
                            int beginIndex)

### toString

    java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### length

    int length()

### start

    int start()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD